using System; 
using System.Diagnostics; 

class Favorite 
{ 
  private string name; 
  private Uri url; 

  public Favorite(string name, Uri url) 
  { 
    this.name = name; 
    this.url = url; 
  } 

  public void Open() 
  { 
    Process.Start(url.ToString()); 
  } 
} 

class Program 
{ 
  static void Main(string[] args) 
  { 
    var favHighscore = new Favorite("Highscore - Programmieren lernen", new Uri("http://www.highscore.de/")); 
    favHighscore.Open(); 
  } 
} 