using System; 
using System.Diagnostics; 

class Favorite 
{ 
  string name; 
  Uri url; 

  public Favorite(string name, Uri url) 
  { 
    this.name = name; 
    this.url = url; 
  } 

  public string GetName() 
  { 
    return name; 
  } 

  public Uri GetURL() 
  { 
    return url; 
  } 

  public void Open() 
  { 
    Process.Start(url.ToString()); 
  } 
} 

class Program 
{ 
  static void Main(string[] args) 
  { 
    var favHighscore = new Favorite("Highscore - Programmieren lernen", new Uri("http://www.highscore.de/")); 
    Console.Out.WriteLine(favHighscore.GetName()); 
    Console.Out.WriteLine(favHighscore.GetURL()); 
  } 
} 