using System; 
using System.Diagnostics; 

class Favorite 
{ 
  string name; 
  Uri url; 

  public Favorite(string name, Uri url) 
  { 
    this.name = name; 
    this.url = url; 
  } 

  public string Name 
  { 
    get { return name; } 
    set { name = value; } 
  } 

  public Uri URL 
  { 
    get { return url; } 
  } 

  public void Open() 
  { 
    Process.Start(url.ToString()); 
  } 
} 

class Program 
{ 
  static void Main(string[] args) 
  { 
    var favHighscore = new Favorite("Highscore - Programmieren lernen", new Uri("http://www.highscore.de/")); 
    favHighscore.Name = "Meine Lieblingswebsite Highscore"; 
    Console.Out.WriteLine(favHighscore.Name); 
    Console.Out.WriteLine(favHighscore.URL); 
  } 
} 