using System; 
using System.Diagnostics; 

class Favorite 
{ 
  string name; 
  Uri url; 

  public Favorite(string name, Uri url) 
  { 
    this.name = name; 
    this.url = url; 
  } 

  public void Open() 
  { 
    Process.Start(url.ToString()); 
  } 
} 

class Favorite2 : Favorite 
{ 
  DateTime dateTime; 

  public Favorite2(string name, Uri url) 
    : base(name, url) 
  { 
    dateTime = DateTime.Now; 
  } 
} 