using System; 
using System.Diagnostics; 

class Favorite 
{ 
  string name; 
  Uri url; 

  public Favorite(string name, Uri url) 
  { 
    this.name = name; 
    this.url = url; 
  } 

  public void Open() 
  { 
    Process.Start(url.ToString()); 
  } 
} 

class Favorite2 : Favorite 
{ 
  DateTime dateTime; 

  public Favorite2(string name, Uri url) 
    : base(name, url) 
  { 
    dateTime = DateTime.Now; 
  } 
} 

class Program 
{ 
  static void OpenFavorite(Favorite fav) 
  { 
    fav.Open(); 
  } 

  static void Main(string[] args) 
  { 
    var favHighscore = new Favorite2("Highscore - Programmieren lernen", new Uri("http://www.highscore.de/")); 
    OpenFavorite(favHighscore); 
  } 
} 