using System; 
using System.Linq; 
using System.Collections.Generic; 

public class FavoriteManager 
{ 
  List<Favorite> favs = new List<Favorite>(); 

  public Favorite[] FavoritesOrderedByName 
  { 
    get 
    { 
      IEnumerable<Favorite> favQuery = from fav in favs 
                                       orderby fav.Name ascending 
                                       select fav; 
      return favQuery.ToArray(); 
    } 
  } 
} 