using System; 
using System.Linq; 
using System.Collections.Generic; 

public class FavoriteManager 
{ 
  List<Favorite> favs = new List<Favorite>(); 

  public Favorite[] FavoritesFilteredByHighscore 
  { 
    get 
    { 
      IEnumerable<Favorite> favQuery = from fav in favs 
                                       where fav.URL.Host == "www.highscore.de" && fav.URL.AbsolutePath.StartsWith("/csharp") 
                                       select fav; 
      return favQuery.ToArray(); 
    } 
  } 
} 