using System; 
using System.Linq; 
using System.Collections.Generic; 

public class FavoriteManager 
{ 
  List<Favorite> favs = new List<Favorite>(); 

  public Favorite[] FavoritesOrderedAndFilteredByHighscore 
  { 
    get 
    { 
      IEnumerable<Favorite> favQuery = from fav in favs 
                                       where fav.URL.Host == "www.highscore.de" 
                                       orderby fav.URL.Port, fav.URL.AbsolutePath 
                                       select fav; 
      return favQuery.ToArray(); 
    } 
  } 
} 