using System; 
using System.ComponentModel; 

public class FavoriteManager : Component 
{ 
  Favorite[] favs; 

  public void Add(string name, string url) 
  { 
    if (favs == null) 
    { 
      favs = new Favorite[] { new Favorite(name, new Uri(url)) }; 
    } 
    else 
    { 
      Favorite[] favs2 = new Favorite[favs.Length + 1]; 
      Array.Copy(favs, favs2, favs.Length); 
      favs2[favs.Length] = new Favorite(name, new Uri(url)); 
      favs = favs2; 
    } 
  } 

  public Favorite[] Favorites 
  { 
    set { favs = value; } 
    get { return favs; } 
  } 
} 