using System; 

public class FavoriteManager 
{ 
  Favorite[] favs; 

  public delegate void FavoriteEventHandler(Favorite fav); 
  public FavoriteEventHandler FavoriteAdded; 

  public void Add(string name, string url) 
  { 
    if (favs == null) 
    { 
      favs = new Favorite[] { new Favorite(name, new Uri(url)) }; 
    } 
    else 
    { 
      Favorite[] favs2 = new Favorite[favs.Length + 1]; 
      Array.Copy(favs, favs2, favs.Length); 
      favs2[favs.Length] = new Favorite(name, new Uri(url)); 
      favs = favs2; 
    } 
    FavoriteAdded(favs[favs.Length - 1]); 
  } 
} 