using System; 

public class FavoriteEventArgs<TFavorite> : EventArgs 
  where TFavorite : Favorite 
{ 
  TFavorite fav; 

  public FavoriteEventArgs(TFavorite fav) 
  { 
    this.fav = fav; 
  } 

  public TFavorite RelatedFavorite 
  { 
    get { return fav; } 
  } 
} 