using System; 
using System.Linq; 
using System.Collections.Generic; 

public class FavoriteManager 
{ 
  List<Favorite> favs = new List<Favorite>(); 

  public Favorite[] FavoritesGrouped 
  { 
    get 
    { 
      IEnumerable<IGrouping<string, Favorite>> favQuery = from fav in favs 
                                                          group fav by fav.URL.Host into favHosts 
                                                          select favHosts; 
      List<Favorite> groupedFavs = new List<Favorite>(); 
      foreach (var group in favQuery) 
      { 
        foreach (var fav in group) 
        { 
          groupedFavs.Add(fav); 
        } 
      } 
      return groupedFavs.ToArray(); 
    } 
  } 
} 